
-- this library can be used if your worried about loading duplicate images, such as in the case of loading a varity of things from a table when an object is created
-- you prob wont want to use this function in your love.graphics.draw because it searches the table of loaded images for a duplicate every time its used but you could
-- might work, needs to be tested

local image_handler_table = {}

function ih_load_image(file_name)
	local return_image = nil
	if #image_handler_table > 0 then
		local i_index = ih_table_search(file_name)
		if i_index then
			return_image = image_handler_table[i_index].image
		else
			table.insert(image_handler_table, {file_name,love.graphics.newImage("file_name")})
			return_image = image_handler_table[ih_table_search(file_name)].image
		end
	else
		table.insert(image_handler_table, {file_name,love.graphics.newImage("file_name")})
		return_image = image_handler_table[ih_table_search(file_name)].image
	end
	return return_image
end

function ih_table_search(file_name)
	if #image_handler_table > 0 then
		local i_index = 0
		local i_looking = true
		while i_index < #image_handler_table and i_looking do
			local itbl = image_handler_table[i_index]
			if itbl.file_name == file_name then
				i_looking = nil
				return_image = i_index
			end
		end
	end
end