--NPC--

npc_data = {}
npc_data[1] = {text = 'Hello, World!',pic = love.graphics.newImage('images/npc/npcTest.png'),prompt = false}

--For dialog
	speech_box = love.graphics.newImage("images/interface/speech.png")
	speech_box:setFilter('nearest','nearest')
--
npc = {}
function npc.spawn(x,y,id)
	--Put data into 'npc'
	table.insert(npc, {x = x, y = y, id = id,pic = npc_data[id].pic,height = npc_data[id].pic:getHeight(),width = npc_data[id].pic:getWidth(),
		distance = 3, --For talking to the npc.
		prompted = false
		})
end
--
function npc.draw()--Display the npc's image
	for i,v in ipairs(npc) do
		love.graphics.setColor(255,255,255)
		love.graphics.draw(v.pic,v.x,v.y)
	end
end
--
function npc.filter()-- Filtering Images
	for i,v in ipairs(npc) do
		v.pic:setFilter('nearest','nearest')
	end
end
--
function npc.talk(key) --Talk to the npc
	for i,v in ipairs(npc) do
		if player.y + player.height > v.y and
		player.y < v.y + v.height and
		player.x + player.width > v.x and
		player.x < v.x + v.width then
			if key == action_button then
				v.prompted = true
			end
		end
	end
end
--
--PROMPT CODE--







function npc.prompt()--When you talk to the npc
	for i,v in ipairs(npc) do
		if v.prompted == true then
			player.movement = false
			love.graphics.setColor(255,255,255)
			love.graphics.draw(speech_box,50,50)
			love.graphics.setColor(255,255,255)
			love.graphics.setFont(medium)
			love.graphics.print("Hello",50,50,0,0.2,0.2)
		end
	end
end




--END OF PROMPT CODE--

--PARENT FUNCTIONS--
function DRAW_NPC()
	npc.draw()
	npc.prompt()
end
function UPDATE_NPC(dt)
	npc.filter()
end
function KEY_NPC(key)
	npc.talk(key)
end